Package com.avaya.core

## Enum ActionState

- java.lang.Object
- - java.lang.Enum<ActionState>
  - - com.avaya.core.ActionState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ActionState>`

      public enum ActionState
      extends java.lang.Enum<ActionState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `OFFERED` | When an buy action has been offered to the user.
    `PAID` | When a buy action has been paid by the user.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` |
    `static ActionState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ActionState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFFERED

          public static final ActionState OFFERED

      When an buy action has been offered to the user.

    - #### PAID

          public static final ActionState PAID

      When a buy action has been paid by the user.

  - ### Method Detail

    - #### values

          public static ActionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionState c : ActionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()